Bug 250119 - www/py-aiohttp: Update to 3.6.2
Summary: www/py-aiohttp: Update to 3.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-04 18:59 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-10-22 18:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-10-04 18:59:32 UTC
Patch: https://people.FreeBSD.org/~sunpoet/patch/www-py-aiohttp.txt

Update to 3.6.2

- Update version requirement of RUN_DEPENDS

Changes:        https://github.com/aio-libs/aiohttp/releases
Comment 1 Raivo Hool 2020-10-22 09:01:04 UTC
py-aiohttp has a hardcoded dependency on py-multidict UP TO version 5, excluding. As of now, py-multidict has been updated to 5.0.0 and py-aiohttp fails to run. I fixed with this:

--- setup.py.orig       2019-10-09 19:52:31.000000000 +0300
+++ setup.py    2020-10-22 11:41:05.773937000 +0300
@@ -74,7 +74,7 @@
 install_requires = [
     'attrs>=17.3.0',
     'chardet>=2.0,<4.0',
-    'multidict>=4.5,<5.0',
+    'multidict>=4.5,<6.0',
     'async_timeout>=3.0,<4.0',
     'yarl>=1.0,<2.0',
     'idna-ssl>=1.0; python_version<"3.7"',

--- aiohttp.egg-info/requires.txt.orig  2020-10-22 11:23:40.662777000 +0300
+++ aiohttp.egg-info/requires.txt       2020-10-22 11:22:38.343479000 +0300
@@ -1,6 +1,6 @@
 attrs>=17.3.0
 chardet<4.0,>=2.0
-multidict<5.0,>=4.5
+multidict<6.0,>=4.5
 async_timeout<4.0,>=3.0
 yarl<2.0,>=1.0
Comment 2 commit-hook freebsd_committer 2020-10-22 17:57:19 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Oct 22 17:56:18 UTC 2020
New revision: 553050
URL: https://svnweb.freebsd.org/changeset/ports/553050

Log:
  Update to 3.6.2

  - Update version requirement of RUN_DEPENDS

  Changes:	https://github.com/aio-libs/aiohttp/releases
  PR:		250119
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 18 days)

Changes:
  head/www/py-aiohttp/Makefile
  head/www/py-aiohttp/distinfo
  head/www/py-aiohttp/files/patch-pytest.ini
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-10-22 18:03:36 UTC
Committed. Thanks!